PDBParseException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.io.PDBParseException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io
Class PDBParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.structure.io.PDBParseException

All Implemented Interfaces:
  Serializable

    public class PDBParseException

extends BioException

An exception during the parsing of a PDB file.

Author:
  Andreas Prlic, Thomas Down, Benjamin Schuster-Böckler
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`PDBParseException(String s)` Constructs a PDBParseException object.
`PDBParseException(String s, Throwable t)` Constructs a PDBParseException object.
`PDBParseException(Throwable t)` Constructs a PDBParseException object.
`PDBParseException(Throwable t, String s)` Deprecated. use new BioException(message, ex) instead

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### PDBParseException

    public PDBParseException(String s)

  Constructs a PDBParseException object.

  Parameters:
    `s` - a String ...

### PDBParseException

    public PDBParseException(Throwable t,
                             String s)

  Deprecated. use new BioException(message, ex) instead

  Constructs a PDBParseException object.

  Parameters:
    `t` - a Throwable object
    `s` - a String ...

### PDBParseException

    public PDBParseException(String s,
                             Throwable t)

  Constructs a PDBParseException object.

  Parameters:
    `t` - a Throwable object
    `s` - a String ...

### PDBParseException

    public PDBParseException(Throwable t)

  Constructs a PDBParseException object.

  Parameters:
    `t` - a Throwable object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD